DataCubeControllerUpdateDataCubeStorageType Method

PUT /DataCube/DataCubeStorageType/{id} Updates the storage type of the specified data cube.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("DataCubeStorageType")]
public IActionResult UpdateDataCubeStorageType(
	Guid id,
	[FromBodyAttribute] StorageOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the data cube to update the storage type on.
options
Type: Dundas.BI.WebApi.ModelsStorageOptions
The transform to refresh.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A DataCubeData object containing the updated data cube data, or a status code indicating the problem.
See Also